Subject: [Ltru] ISO 639 language code addition rules...

From: "Phillips, Addison" <[email-masked]>
Date: Sat, 31 May 2008 10:46:45 -0700

All,

In preparing a proto-draft-15 that includes extlang, I note that in Section 3.4 (Stability), we have the rules for creating new values in the registry. The draft-09 rules and the draft-14 rules follow a sort of registration cascade:

 - if an ISO 639-1 code is created and it does not conflict with existing codes, register it
 - if an ISO 639-2 code is created and it does not conflict with existing codes, register it
 - if an ISO 639-3 code is created and it does not conflict with existing codes, register it

Previously we only allowed 639-3 codes to be created as extlangs and all of the extlang rules are attached to 639-3 (since the macrolanguage information comes from -3)

Now... if I understand correctly, ISO 639-2 is supposed to be a strict subset of ISO 639-3 going forward. So I would tend to propose the rules as follows:

 - if an ISO 639-1 code is assigned and it does not conflict with existing codes, register it.
       Note that languages given an ISO 639-1 code cannot be extlangs, even if enclosed by a macrolanguage
 - if an ISO 639-3 code is assigned and it does not conflict with existing codes, register it
 - if an ISO 639-2 code is somehow assigned and it does not conflict with existing codes, register it
       Note that this should never happen any more

Comments?

Addison

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru